I tried to update to the latest version of my software after I got the update notice and it downloaded alright. But when I tried to install, I was told I didn't have the required privileges.

What you describe sounds like a bug in Finder our customers report every now and then. The problem in this case is that of course you can delete and install applications to your heart's content but as soon as you try to replace an existing application with a newer version, Finder refuses cooperation. This error occurs on very few customers' Macs and we can't solve the issue.

The solution, however, is easy:

  1. Delete your application from your Applications folder. Your data and preferences are separate from the application itself.
  2. Download the latest version from our website
  3. Install that version.

That's all. You should see the latest release next time you launch the application.